## org.apache.http.pool
Class PoolStats

    java.lang.Object
      org.apache.http.pool.PoolStats

    @Immutable
    public class PoolStats

extends Object

Pool statistics.

Since:
  4.2

Constructor Summary
`PoolStats(int leased, int pending, int free, int max)`

Method Summary
`int` `getAvailable()`
`int` `getLeased()`
`int` `getMax()`
`int` `getPending()`
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PoolStats

    public PoolStats(int leased,
                     int pending,
                     int free,
                     int max)

Method Detail

### getLeased

    public int getLeased()

### getPending

    public int getPending()

### getAvailable

    public int getAvailable()

### getMax

    public int getMax()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Copyright © 2005-2013 The Apache Software Foundation. All Rights Reserved.